# Get content type field source

Retrieves one page of source items for a specified field in a selected content type. Pass the response `continuationToken` in the `x-sc-continuation`
header to retrieve the next page. A field source can contain multiple Sitecore query segments, for example
`query:$site/*[@@name='Data']|query:$sharedSites/*[@@name='Data']`. Example hand-off header:
`x-sc-continuation: eyJzb3VyY2VJbmRleCI6MSwibmV4dEl0ZW0iOjI1fQ==`. Each returned item includes
`sourceIndex`, the zero-based segment from which it originated.

Endpoint: GET /api/v1/content-types/{modelId}/{fieldId}/source
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `modelId` (string, required)
    The content type identifier.

  - `fieldId` (string, required)
    The field identifier.

## Query parameters:

  - `siteId` (string)
    The site identifier.

  - `environmentId` (string)
    The environment identifier. Defaults to "main". Currently only "main" is supported.

  - `pageSize` (integer)
    The maximum number of source items to return.

## Header parameters:

  - `x-sc-continuation` (string)
    The continuation token returned by a previous response.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `data` (array)
    The source items in the current page.

  - `data.sourceIndex` (integer)
    The zero-based source segment index from which this item originated.
    Example: 1

  - `data.id` (string)
    The id of the field source
    Example: 2492bac4-da07-4c86-87f0-9873d40e2276

  - `data.name` (string)
    The name of the field source
    Example: SourceItem1

  - `data.version` (string)
    The version of the field source
    Example: 1

  - `data.displayName` (string)
    The display name of the field source
    Example: Source Item 1

  - `data.locale` (string)
    The locale of the field source
    Example: en

  - `continuationToken` (string)
    The opaque token for retrieving the next page, or null when complete.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

